## org.omg.Dynamic
Class ExceptionListHelper

    java.lang.Object
      |
      +--org.omg.Dynamic.ExceptionListHelper

public class ExceptionListHelper
extends java.lang.Object

Helper class for : ExceptionList

Author:
  OpenORB Compiler

Constructor Summary
`ExceptionListHelper()`

Method Summary
`static TypeCode[]` `extract(Any a)` Extract ExceptionList from an any
`static java.lang.String` `id()` Return the ExceptionList IDL ID
`static void` `insert(Any a, TypeCode[] t)` Insert ExceptionList into an any
`static TypeCode[]` `read(InputStream istream)` Read ExceptionList from a marshalled stream
`static TypeCode` `type()` Return the ExceptionList TypeCode
`static void` `write(OutputStream ostream, TypeCode[] value)` Write ExceptionList into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionListHelper

    public ExceptionListHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TypeCode[] t)

  Insert ExceptionList into an any
  Parameters:
    `a` - an any
    `t` - ExceptionList value

### extract

    public static TypeCode[] extract(Any a)

  Extract ExceptionList from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ExceptionList value

### type

    public static TypeCode type()

  Return the ExceptionList TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ExceptionList IDL ID
  Returns:
    an ID

### read

    public static TypeCode[] read(InputStream istream)

  Read ExceptionList from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ExceptionList value

### write

    public static void write(OutputStream ostream,
                             TypeCode[] value)

  Write ExceptionList into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ExceptionList value